Halide 22.0.0 Halide compiler and libraries

Classes | Namespaces | Functions | Variables
vulkan_memory.h File Reference
`#include "internal/block_allocator.h"`
`#include "internal/memory_resources.h"`
`#include "vulkan_internal.h"`

Go to the source code of this file.

## Classes
struct | Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig
class | Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator
| Vulkan Memory Allocator class interface for managing large memory requests stored as contiguous blocks of memory, which are then sub-allocated into smaller regions of memory to avoid the excessive cost of vkAllocate and the limited number of available allocation calls through the API. More...

## Namespaces
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal
namespace | Halide::Runtime::Internal::Vulkan

## Functions
WEAK void | halide_vulkan_set_allocation_callbacks (const VkAllocationCallbacks *callbacks)
WEAK const VkAllocationCallbacks * | halide_vulkan_get_allocation_callbacks (void *user_context)

## Variables
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks_lock = 0
WEAK const VkAllocationCallbacks * | Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks = nullptr
WEAK VulkanMemoryConfig | Halide::Runtime::Internal::Vulkan::memory_allocator_config

## Function Documentation

## ◆ halide_vulkan_set_allocation_callbacks()

WEAK void halide_vulkan_set_allocation_callbacks | ( | const VkAllocationCallbacks * | callbacks | ) |

Definition at line 1495 of file vulkan_memory.h.

References Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks, and Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks_lock.

## ◆ halide_vulkan_get_allocation_callbacks()

WEAK const VkAllocationCallbacks * halide_vulkan_get_allocation_callbacks | ( | void * | user_context | ) |

Definition at line 1501 of file vulkan_memory.h.

References Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks, and Halide::Runtime::Internal::Vulkan::custom_allocation_callbacks_lock.